LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06876Bug reports[All Projects] Survey takingpublic2012-11-15 14:032012-11-22 10:17
Reporterlolo 
Assigned Tomdekker 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06876: Error when taking survey with datestamps on answers enabled
DescriptionGetting error "Property Survey_dynamic.datestamp is not defined." when taking survey, after the welcome screen.

See attached files:
- error.html -> the error message
- limesurvey_survey_242274.lss -> survey file
Steps To ReproduceI guess the problem is linked to having datestamps enabled for answers.
The issue does not happen if I disable datestamps when activating survey.
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID121115
BrowserOpera 12
Database & DB-VersionMysql 5.5.24
Operating System (Server)Linux 2.6.27.52
Webserver software & versionApache 2
PHP Version5.3.14
Attached Files? file icon limesurvey_survey_242274.lss [^] (17,255 bytes) 2012-11-15 14:03
html file icon error.html [^] (1,149 bytes) 2012-11-15 14:03

- Relationships
related to 06923closedmdekker Error message after starting survey 

-  Notes
User avatar (22230)
mdekker (developer)
2012-11-16 09:35

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10323 [^]
User avatar (22231)
mdekker (developer)
2012-11-16 09:38

Found the error and fixed it. As a work around before the next release is out, you can change the settings _before_ activation in the general settings.
User avatar (22237)
lolo (reporter)
2012-11-16 10:22

Thanks a lot, donation done ;)
User avatar (22240)
c_schmitz (administrator)
2012-11-16 10:40

New version 2.00+ Build 121116 released

- Related Changesets
LimeSurvey: master efc71f47
Timestamp: 2012-11-16 08:35:08
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 06876: Error when taking survey with datestamps on answers enabled
dev: values changed on activation were not picked up
mod - application/controllers/admin/surveyadmin.php Diff ] File ]
mod - application/core/LSYii_Application.php Diff ] File ]
mod - application/models/Survey.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-15 14:03 lolo New Issue
2012-11-15 14:03 lolo File Added: limesurvey_survey_242274.lss
2012-11-15 14:03 lolo File Added: error.html
2012-11-15 14:14 c_schmitz Assigned To => mdekker
2012-11-15 14:14 c_schmitz Status new => assigned
2012-11-16 09:35 mdekker Changeset attached => LimeSurvey master efc71f47
2012-11-16 09:35 mdekker Note Added: 22230
2012-11-16 09:35 mdekker Resolution open => fixed
2012-11-16 09:38 mdekker Note Added: 22231
2012-11-16 09:38 mdekker Status assigned => resolved
2012-11-16 09:38 mdekker Fixed in Version => 2.00+
2012-11-16 10:22 lolo Note Added: 22237
2012-11-16 10:40 c_schmitz Note Added: 22240
2012-11-16 10:40 c_schmitz Status resolved => closed
2012-11-22 10:17 mdekker Relationship added related to 06923


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker